@use "colors";

.switch-checkbox {
    height: 0;
    width: 0;
    visibility: hidden;
    display: contents;
}

.switch-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    width: 96px;
    height: 48px;
    background: #20b8c1;
    border-radius: 24px;
    position: relative;
    transition: background-color 0.3s;
}

.switch-label .switch-button {
    content: "";
    position: relative;
    left: 6px;
    width: 16px;
    height: 16px;
    border-radius: 24px;
    transition: 0.3s;
    //background: #fff;
    border: 10px colors.$content-white solid;
    box-shadow: 0 0 4px 0 rgba(10, 10, 10, 0.29);
}
.switch-checkbox:checked + .switch-label {
    background: #ff7235;
}
.switch-checkbox:checked + .switch-label .switch-button {
    left: calc(100% - 6px);
    transform: translateX(-100%);
}

.switch-label:active .switch-button {
    width: 24px;
    transition: 0.2s;
}
